<?php 
/**
 * @package 	WordPress
 * @subpackage 	Amigos
 * @version		1.0.0
 * 
 * Theme Admin Options
 * Created by CMSMasters
 * 
 */


/* Filter for Options */
function amigos_theme_meta_fields($custom_all_meta_fields) {
	$cmsmasters_option = amigos_get_global_options();
	
	
	$custom_all_meta_fields_new = array();
	
	
	if (
		(isset($_GET['post_type']) && $_GET['post_type'] == 'project') || 
		(isset($_POST['post_type']) && $_POST['post_type'] == 'project') || 
		(isset($_GET['post']) && get_post_type($_GET['post']) == 'project') 
	) {
		foreach ($custom_all_meta_fields as $custom_all_meta_field) {
			if ($custom_all_meta_field['id'] == 'cmsmasters_project_image_show') {
				$custom_all_meta_field['label'] = esc_html__('Don\'t Show Featured Image in Open Service', 'amigos');
				
				
				$custom_all_meta_fields_new[] = $custom_all_meta_field;
			} elseif ($custom_all_meta_field['id'] == 'cmsmasters_project_details_title') {					
				$custom_all_meta_field['label'] = esc_html__('Service Details Title', 'amigos');
				
				
				$custom_all_meta_fields_new[] = $custom_all_meta_field;
			} elseif ($custom_all_meta_field['id'] == 'cmsmasters_project_features') {
				$custom_all_meta_field['label'] = esc_html__('Service Info', 'amigos');
				
				
				$custom_all_meta_fields_new[] = $custom_all_meta_field;
			} else if (
				$custom_all_meta_field['id'] == 'cmsmasters_project_images'
			) {	
				$custom_all_meta_field['label'] = esc_html__('Service Images', 'amigos');
				
				$custom_all_meta_fields_new[] = $custom_all_meta_field;
			} elseif (
				$custom_all_meta_field['id'] == 'cmsmasters_project_title'
			) {	
				$custom_all_meta_field['label'] = esc_html__('Service Title', 'amigos');
				
				$custom_all_meta_fields_new[] = $custom_all_meta_field;
			} elseif (
				$custom_all_meta_field['id'] == 'cmsmasters_project_size'
			) {	
				$custom_all_meta_field['label'] = esc_html__('Service Size', 'amigos');
				$custom_all_meta_field['desc']	= esc_html__('Recommended Service Puzzle Image dimensions, or other size, with the same ratio', 'amigos') . ' - ';
				
				$custom_all_meta_fields_new[] = $custom_all_meta_field;
			} elseif (
				$custom_all_meta_field['id'] == 'cmsmasters_project_details_title'
			) {	
				$custom_all_meta_field['label'] = esc_html__('Service Details Title', 'amigos');
				
				$custom_all_meta_fields_new[] = $custom_all_meta_field;
			} elseif (
				$custom_all_meta_field['id'] == 'cmsmasters_project_features'
			) {	
				$custom_all_meta_field['label'] = esc_html__('Service Info', 'amigos');
				
				$custom_all_meta_fields_new[] = $custom_all_meta_field;
			} elseif (
				$custom_all_meta_field['id'] == 'cmsmasters_project_link_text'
			) {	
				$custom_all_meta_field['label'] = esc_html__('Service Link Text', 'amigos');
				$custom_all_meta_field['std'] = esc_html__('View Service', 'amigos');
				
				$custom_all_meta_fields_new[] = $custom_all_meta_field;
			} elseif (
				$custom_all_meta_field['id'] == 'cmsmasters_project_link_url'
			) {	
				$custom_all_meta_field['label'] = esc_html__('Service Link URL', 'amigos');
				
				$custom_all_meta_fields_new[] = $custom_all_meta_field;
			} elseif (
				$custom_all_meta_field['id'] == 'cmsmasters_project_link_redirect'
			) {	
				$custom_all_meta_field['desc'] = esc_html__('Redirect to service link URL instead of opening service page', 'amigos');
				
				$custom_all_meta_fields_new[] = $custom_all_meta_field;
			} elseif (
				$custom_all_meta_field['id'] == 'cmsmasters_project_link_target'
			) {	
				$custom_all_meta_field['label'] = esc_html__('Service Link Target', 'amigos');
				
				$custom_all_meta_fields_new[] = $custom_all_meta_field;
			} elseif (
				$custom_all_meta_field['id'] == 'cmsmasters_project_features_one_title'
			) {	
				$custom_all_meta_field['label'] = esc_html__('Service Features 1 Title', 'amigos');
				
				$custom_all_meta_fields_new[] = $custom_all_meta_field;
			} elseif (
				$custom_all_meta_field['id'] == 'cmsmasters_project_features_one'
			) {	
				$custom_all_meta_field['label'] = esc_html__('Service Features 1', 'amigos');
				
				$custom_all_meta_fields_new[] = $custom_all_meta_field;
			} elseif (
				$custom_all_meta_field['id'] == 'cmsmasters_project_features_two_title'
			) {	
				$custom_all_meta_field['label'] = esc_html__('Service Features 2 Title', 'amigos');
				
				$custom_all_meta_fields_new[] = $custom_all_meta_field;
			} elseif (
				$custom_all_meta_field['id'] == 'cmsmasters_project_features_two'
			) {	
				$custom_all_meta_field['label'] = esc_html__('Service Features 2', 'amigos');
				
				$custom_all_meta_fields_new[] = $custom_all_meta_field;
			} elseif (
				$custom_all_meta_field['id'] == 'cmsmasters_project_features_three_title'
			) {	
				$custom_all_meta_field['label'] = esc_html__('Service Features 3 Title', 'amigos');
				
				$custom_all_meta_fields_new[] = $custom_all_meta_field;
			} elseif (
				$custom_all_meta_field['id'] == 'cmsmasters_project_features_three'
			) {	
				$custom_all_meta_field['label'] = esc_html__('Service Features 3', 'amigos');
				
				$custom_all_meta_fields_new[] = $custom_all_meta_field;
			} elseif (
				$custom_all_meta_field['id'] == 'cmsmasters_project_tabs'
			) {
				$custom_all_meta_field['options']['cmsmasters_project']['label'] = esc_html__('Service', 'amigos');
				
				$custom_all_meta_fields_new[] = $custom_all_meta_field;
			} else {
				$custom_all_meta_fields_new[] = $custom_all_meta_field;
			}
		}
	} else {
		$custom_all_meta_fields_new = $custom_all_meta_fields;
	}
	
	
	return $custom_all_meta_fields_new;
}

add_filter('get_custom_all_meta_fields_filter', 'amigos_theme_meta_fields');
